// Code generated by MockGen. DO NOT EDIT.
// Source: broker_client.go

// Package main is a generated GoMock package.
package main

import (
	reflect "reflect"

	// command_line_arguments "command-line-arguments"
	gomock "github.com/golang/mock/gomock"
)

// MockBrokerClient is a mock of BrokerClient interface
type MockBrokerClient struct {
	ctrl     *gomock.Controller
	recorder *MockBrokerClientMockRecorder
}

// MockBrokerClientMockRecorder is the mock recorder for MockBrokerClient
type MockBrokerClientMockRecorder struct {
	mock *MockBrokerClient
}

// NewMockBrokerClient creates a new mock instance
func NewMockBrokerClient(ctrl *gomock.Controller) *MockBrokerClient {
	mock := &MockBrokerClient{ctrl: ctrl}
	mock.recorder = &MockBrokerClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockBrokerClient) EXPECT() *MockBrokerClientMockRecorder {
	return m.recorder
}

// SendMessage mocks base method
func (m *MockBrokerClient) SendMessage(arg0 *Message) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendMessage", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMessage indicates an expected call of SendMessage
func (mr *MockBrokerClientMockRecorder) SendMessage(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMessage", reflect.TypeOf((*MockBrokerClient)(nil).SendMessage), arg0)
}
